# Swoole\Atomic::__construct

(PECL swoole >= 1.9.0)

Swoole\Atomic::__construct — Construit un nouvel objet atomique Swoole.

### Description

public Swoole\Atomic::__construct(int `$value` = ?)

Un objet atomique Swoole est une variable entière qui permet à n'importe quel processeur de tester et de modifier atomiquement. Il est implémenté sur la base des instructions atomiques du processeur. Les variables atomiques Swoole doivent être définies avant que swoole_server->start ne soit appelé.

Compare-and-swap (CAS) est une instruction atomique utilisée dans le multithreading pour réaliser la synchronisation. Elle compare le contenu d'un emplacement mémoire avec une valeur donnée et, seulement si elles sont identiques, modifie le contenu de cet emplacement mémoire en une nouvelle valeur donnée.

### Liste de paramètres

`value`

  La valeur de l'objet atomique.